<?php

function hitung_point_komersial($jumlah_transaksi) {
  if ($jumlah_transaksi > 1 && $jumlah_transaksi <= 200000000) {
    return 2;
  } else if ($jumlah_transaksi > 200000000 && $jumlah_transaksi <= 500000000) {
    return 4;
  } else if ($jumlah_transaksi > 500000000 && $jumlah_transaksi <= 1000000000) {
    return 6;
  } else if ($jumlah_transaksi > 1000000000){
    return 8;
  } else{
    return 0;
  }
}

function hitung_point_qris($jumlah_transaksi) {
  if ($jumlah_transaksi > 1 && $jumlah_transaksi <= 500000) {
    return 1;
  } else if ($jumlah_transaksi > 500000 && $jumlah_transaksi <= 1000000) {
    return 2;
  } else if ($jumlah_transaksi > 1000000 && $jumlah_transaksi <= 5000000) {
    return 4;
  } else if($jumlah_transaksi > 5000000){
    return 8;
  } else {
    return 0;
  }
}

$plafond = 0;
$id_segment = 1;

$point_plafond = 0;
if($id_segment == 1){
  $point_plafond =  hitung_point_komersial($plafond);
}else{
  $point_plafond =  2;
}

$dp_qris = 0;
$point_qris = hitung_point_qris($dp_qris);
$total_point = $point_plafond + $point_qris;

echo "POINT PLAFOND = " . $point_plafond . PHP_EOL;
echo "POINT QRIS = " . $point_qris . PHP_EOL;
echo "TOTAL POINT = " . $total_point . PHP_EOL;